// SPF_Tree_Data

#ifndef deftestip
 #include "IP.h"
#endif

#define deftestspftd

class SPF_Tree_Data 
{

 public:
  SPF_Tree_Data();
  ~SPF_Tree_Data();
  SPF_Tree_Data & operator=(SPF_Tree_Data &right);
  int setVertex(IP vertex, char type);
  int addNextHop(IP next);
  int setDistance(int dist);
  IP& getVertex();
  IP& getNextHop(int index);
  int getDistance();
  char getType();
  int getHopCount();
  int isNextHop(IP next);
  int update(IP next, int cost);

  // Data Members for Class Attributes
 private:
  IP vertex_ID;
  int nextHopCount;
  IP* next_Hops;
  int distance;
  char route_Type;
};
